#
# spec file for package python-flufl.bounce
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flufl.bounce
Version:        4.0
Release:        4.3
Summary:        Email bounce detectors
License:        Apache-2.0
URL:            https://fluflbounce.readthedocs.io/en/latest/
# https://gitlab.com/warsaw/flufl.bounce/merge_requests/10
Source0:        https://files.pythonhosted.org/packages/source/f/flufl.bounce/flufl.bounce-%{version}.tar.gz
Source1:        https://gitlab.com/warsaw/flufl.bounce/raw/master/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-atpublic
Requires:       python-zope.interface
# SECTION test requirements
BuildRequires:  %{python_module atpublic}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module zope.interface}
# /SECTION
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
Email bounce detectors.

%prep
%setup -q -n flufl.bounce-%{version}

%build
cp %{SOURCE1} .
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%dir %{python_sitelib}/flufl
%{python_sitelib}/flufl/bounce
%{python_sitelib}/flufl.bounce-*.pth
%{python_sitelib}/flufl.bounce-%{version}*-info

%changelog
* Tue Jun 13 2023 Dirk Müller <dmueller@suse.com>
- tag sle15 build for new python stack
* Wed Jan 18 2023 Daniel Garcia <daniel.garcia@suse.com>
- Remove not needed dependency python-six
* Tue Jul  5 2022 Andreas Schneider <asn@cryptomilk.org>
- Skip building for python2
* Mon Jul  4 2022 Ben Greiner <code@bnavigator.de>
- Enable multiflavor so that we can pin mailmain to Python 3.9
* Wed Nov 17 2021 Andreas Schneider <asn@cryptomilk.org>
- Update to version 4.0
  - Added another string to the stop looking strings in the yahoo
    detector.
  - Detectors are now run in a defined order and stop on the
    first detection.
  - Fixed microsoft.py which has been broken forever.
  - Added recognition for yet another non-complaint Yahoo DSN.
  - Added recognition for a non-compliant DSN from an unknown
    MTA.
  - Added recognition for a non-compliant opensmtpd DSN with
    Action: error.
  - Fixed simplmatch.py to not return results that don't resemble
    email addresses. (LP: #1859011)
* Fri Jan 24 2020 pgajdos@suse.com
- update LICENSE to current state
- modified sources
  %% LICENSE
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Thu Sep 26 2019 pgajdos@suse.com
- initial version 3.0, required by python-mailman [SLE-7686]
